/*
 * Copyright (c) 2002-2011 JSCAPE
 * 1147 S. 53rd Pl., Mesa, Arizona, 85206, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * JSCAPE. ("Confidential Information").  You shall not disclose such
 * Confidential Information and shall use it only in accordance with
 * the terms of the license agreement you entered into with JSCAPE.
 */

package com.jscape.filetransfer;

/**
 * Thrown when server deny operation.
 */
public class FileTransferDeniedException
        extends FileTransferException {

    private static final long serialVersionUID = -8957253218348848090L;

    public FileTransferDeniedException() {
    }

    public FileTransferDeniedException(String message) {
        super(message);
    }

    public FileTransferDeniedException(String message, Throwable cause) {
        super(message, cause);
    }

    public FileTransferDeniedException(Throwable cause) {
        super(cause.getMessage() != null ? cause.getMessage() : cause.toString(), cause);
    }
}